thruk(3)

NAME
thruk - Command Line Utility for Thruk Monitoring Gui

SYNOPSIS
  Usage: thruk [globaloptions] <command> [commandoptions]

  Globaloptions:
    -h, --help                    Show this help message and exit
    -v, --verbose                 Print verbose output
    -q, --quiet                   Print less output
    -V, --version                 Print version

    -b, --backend=<backend>       Comma seperated list of backends/sites
                                  which should be used for querys.
    -A, --auth=<auth>             Set username for querys

    -c, --credential=<pw>         Credential when connecting to remote
                                  Thruk installations specified by the
                                  remote-url.
        --remote-url=<url>        URL to remote installation.
    -k, --insecure                skip ssl certificate verification.

    -y, --yes                     answer yes to all given questions.
    -f, --force                   some actions need to be forced

  Compatibility options:
        --list-commands           List available commands.
    -l, --list-backends           List available backends/sites. Alias for 'backend list'.
    -a, --action=<command>        Perform given action. see below for a list.

DESCRIPTION
This script gives access to various parts of the Thruk gui and allows to generate excel reports, csv exports or any other url by using command line and bypassing the webserver.

COMMANDS
Available commands will be listed when running thruk without any argument or by

  %> thruk --list-commands

GLOBALOPTIONS
script has the following arguments

-h , --help
        print help and exit

-v , --verbose
        print verbose output too

-V , --version
        print version and exit

-b backend, --backend=backend
        specify backend(s), otherwise the default backends will be
        used. Specify the key of the backend. Use <-l> to get a list
        of backends.

        All default backends (backends without the 'hidden' flag) will be used unless
        backend(s) are specified with this option.

        Use 'ALL' to use all backends, regardless of the hidden flag.

-l , --list-backends
        get list of available backends

--list-commands
        get list of available commands.

-a action, --action=action
        This is deprecated, use the new form 'thruk <cmd> ...' instead.

        perform selected action:

        Scheduling Commands
          - fix_scheduling(=filter)     balance scheduling or all hosts and services
                                        or just a group by adding a filter like
                                        fix_scheduling=hg:<hostgroup>
                                        fix_scheduling=sg:<servicegroup>

        Internal Commands
          - compile                     compile templates for faster access
          - clean_dashboards            remove empty dashboards which are older than 1 day
          - stop/restart                stop thruk process (restart assumes they will be restarted automatically from apache)

-A authname, --auth=authname
        use this username for authentication

-k, --insecure
        Skip ssl certificate verification when accessing remote url.

-y , --yes
        answer yes to a given questions during commands.

RETURN VALUE
thruk returns 0 on success and >= 1 otherwise

EXAMPLES
List available backends:

  %> thruk -l

List available commands:

  %> thruk

AUTHOR
Sven Nierlein, 2009-present, <sven@nierlein.org>